SUBROUTINE zero2(array)
  !
  ! $Author: CPTEC $
  ! $Date: 2000/02/24 13:15:43 $
  ! $Revision: 1.0 $
  !
  !
  !$$$  subprogram documentation block
  !                .      .    .     
  ! subprogram:    zero2       zero out out-of-bounds edges
  !   prgrmmr: black           org: w/np2      date: 96-03-28       
  !     
  ! abstract:
  !     set the values of the artificial external (out-of-bounds) edges
  !     to zero
  !
  ! program history log:
  !   96-03-28  black      - originator
  !     
  ! usage: call zero2 from any routine needing this procedure
  !   input argument list:
  !       the dummy array name
  !  
  !   output argument list: 
  !     the dummy array name
  !     
  !   output files:
  !     none
  !     
  !   subprograms called:
  !  
  !     unique: none
  !  
  !     library: none
  !
  IMPLICIT NONE
  INCLUDE "parmeta.f90"
  REAL, DIMENSION(0:im+1,0:jm+1), INTENT(out) :: array
  INTEGER :: j, i
  DO j=0,jm+1
     DO i=0,im+1
        array(i,j)=0.
     ENDDO
  ENDDO
END SUBROUTINE zero2
